Bug 565840 - liveinst fails - OSError: [Errno 2] No such file or directory: '/tmp/updates'
Summary: liveinst fails - OSError: [Errno 2] No such file or directory: '/tmp/updates'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 565936 (view as bug list)
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-16 14:06 UTC by James Laska
Modified: 2013-09-02 06:44 UTC (History)
7 users (show)

Fixed In Version: anaconda-13.27-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 02:19:51 UTC


Attachments (Terms of Use)

Description James Laska 2010-02-16 14:06:36 UTC
Description of problem:

Live installs fail to start due to a missing /tmp/updates directory.  I can easily work around this, by creating the directory.  My question ...

* Should anaconda not fail if the directory is missing? 
* Should livecd tools be creating this directory?

Version-Release number of selected component (if applicable):

 * anaconda-13.26

How reproducible:

 * everytime

Steps to Reproduce:
1. Boot a fedora live image that has anaconda-13.26 installed
2. At a command-prompt, type 'liveinst'
  
Actual results:

[liveuser@localhost ~]$ liveinst 
umount: /media/*: not found
  0 logical volume(s) in volume group "linux" now active
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 775, in <module>
    setupPythonUpdates()
  File "/usr/sbin/anaconda", line 118, in setupPythonUpdates
    for pkg in os.listdir("/tmp/updates"):
OSError: [Errno 2] No such file or directory: '/tmp/updates'

Expected results:

No failures

Additional info:

Comment 1 Chris Lumens 2010-02-16 18:19:49 UTC
*** Bug 565936 has been marked as a duplicate of this bug. ***

Comment 2 Adam Williamson 2010-02-26 02:19:51 UTC
Myself, oxf13 and a few others on IRC don't see this in an anaconda 13.31 build, closing.


Note You need to log in before you can comment on or make changes to this bug.